
From: Anton Blanchard <anton@samba.org>

Add some missing EXPORT_SYMBOLs


---

 25-akpm/arch/ppc64/kernel/pSeries_lpar.c |    6 ++++++
 25-akpm/arch/ppc64/kernel/ppc_ksyms.c    |    2 ++
 25-akpm/arch/ppc64/kernel/vio.c          |    3 +--
 3 files changed, 9 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/pSeries_lpar.c~ppc64-exports arch/ppc64/kernel/pSeries_lpar.c
--- 25/arch/ppc64/kernel/pSeries_lpar.c~ppc64-exports	2004-03-14 15:32:39.029369376 -0800
+++ 25-akpm/arch/ppc64/kernel/pSeries_lpar.c	2004-03-14 15:32:39.035368464 -0800
@@ -37,6 +37,12 @@
 #include <asm/hvcall.h>
 #include <asm/prom.h>
 
+/* in pSeries_hvCall.S */
+EXPORT_SYMBOL(plpar_hcall);
+EXPORT_SYMBOL(plpar_hcall_4out);
+EXPORT_SYMBOL(plpar_hcall_norets);
+EXPORT_SYMBOL(plpar_hcall_8arg_2ret);
+
 long poll_pending(void)
 {
 	unsigned long dummy;
diff -puN arch/ppc64/kernel/ppc_ksyms.c~ppc64-exports arch/ppc64/kernel/ppc_ksyms.c
--- 25/arch/ppc64/kernel/ppc_ksyms.c~ppc64-exports	2004-03-14 15:32:39.031369072 -0800
+++ 25-akpm/arch/ppc64/kernel/ppc_ksyms.c	2004-03-14 15:32:39.035368464 -0800
@@ -204,3 +204,5 @@ EXPORT_SYMBOL(console_drivers);
 EXPORT_SYMBOL(tb_ticks_per_usec);
 EXPORT_SYMBOL(paca);
 EXPORT_SYMBOL(proc_ppc64);
+EXPORT_SYMBOL(cur_cpu_spec);
+EXPORT_SYMBOL(systemcfg);
diff -puN arch/ppc64/kernel/vio.c~ppc64-exports arch/ppc64/kernel/vio.c
--- 25/arch/ppc64/kernel/vio.c~ppc64-exports	2004-03-14 15:32:39.032368920 -0800
+++ 25-akpm/arch/ppc64/kernel/vio.c	2004-03-14 15:32:39.036368312 -0800
@@ -580,5 +580,4 @@ struct bus_type vio_bus_type = {
 	.match = vio_bus_match,
 };
 
-EXPORT_SYMBOL(plpar_hcall_norets);
-EXPORT_SYMBOL(plpar_hcall_8arg_2ret);
+EXPORT_SYMBOL(vio_bus_type);

_
